Unable to render embedded object: File (TC_135x48.png) not found.

TeamCity 8.x Documentation

Documentation for Previous Versions

Icon

You are viewing the documentation of TeamCity 8.x, which is not the most recently released version of TeamCity.
Go to the latest TeamCity documentation or refer to the listing to choose the documentation corresponding to your TeamCity version.

 

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • MSBuild (requires .Net Framework or Mono installed on the build agent. Since TeamCity 8.0.5, Microsoft Build Tools 2013 is are also supported.)
  • Anchor
    NAnt
    NAnt
    NAnt versions 0.85 - 0.91 alpha 2 (requires .Net Framework or Mono installed on the build agent)
  • Microsoft Visual Studio Solutions (2003, 2005, 2008, 2010, 2012, 2013 - and (since TeamCity 8.0.5) 2013) (requires a corresponding version of Microsoft Visual Studio installed on the build agent)
  • FxCop (requires FxCop installed on the build agent)
  • Duplicates Finder for C# and VB.NET code based on ReSharper Command Line Tools. Supported languages are C# up to version 4.0 and VB.NET version 8.0 - 10.0. Requires .Net Framework 3.5+ installed on the build agent. Since TeamCity 8.0.6, Microsoft Visual Studio 2013 solutions are supported.
  • Inspections for .NET based on ReSharper Command Line Tools. Requires .Net Framework 3.5+ installed on the build agent. Since TeamCity 8.0.6, Microsoft Visual Studio 2013 solutions are supported.
  • NuGet runners, supported NuGet versions 1.4+

...

  • JUnit 3.8.1+, 4.x
  • NUnit 2.2.10, 2.4.x, 2.5.x, 2.6.0 (dedicated build runner)
  • TestNG 5.3+
  • MSTest 8.x, 9.x, 10.x, 11.x, 12.x and (since TesmCity TeamCity 8.1) 12.x. (the dedicated build runner; requires appropriate Microsoft Visual Studio edition installed on the build agent)
  • MSpec

...

  • Subversion (server versions 1.4-1.7 and higher as long as the protocol is backward compatible). Check Subversion 1.8 compatibility matrix at TeamCity Subversion 1.8 support
  • Perforce (the Perforce client must be installed on the TeamCity server)
  • Git
  • Mercurial (the Mercurial "hg" client v1.5.2+ must be installed on the server)
  • Team Foundation Server 2005, 2008, 2010, 2012 (since TeamCity 7.1), 2013 , and (since TeamCity 8.0.6) 2013. Team Explorer must be installed on the TeamCity server, available only on Windows platforms.
  • CVS
  • IBM Rational ClearCase, Base and UCM modes (the ClearCase client must be installed on the TeamCity server)
  • SourceGear Vault 6 and 7 (the Vault command line client libraries must be installed on the server)
  • Microsoft Visual SourceSafe 6 and 2005 (the SourceSafe client must be installed on the TeamCity server, available only on Windows platforms)
  • Borland StarTeam 6 and up (the StarTeam client application must be installed on the TeamCity server)

...

  • Git
  • Mercurial

Feature Branches

since TeamCity 7.1

  • Git
  • Mercurial

VCS Systems Supported via Third Party Plugins

...

  • Eclipse: Eclipse versions 3.4.2-3.8 and 4.2-4.3 are supported. Eclipse should be run under JDK 1.5+
  • IntelliJ Platform plugin: compatible with IntelliJ IDEA 9.x - 12.x (Ultimate and Community editions) and other IDEs based on the same version of the platform, including JetBrains RubyMine 2.0+, JetBrains PyCharm 1.0+, JetBrains PhpStorm/WebStorm 1.0+, AppCode 1.0+
  • Microsoft Visual Studio 2005, 2008, 2010, 2012, 2013 and (since TeamCity 8.1; ) 2013 (2013 support patch compatible with TeamCity 8.0.5 is also available). Installed .NET Framework 3.5+ is required.

...

IDE

Supported VCS

Eclipse

  • Subversion 1.4-1.7 (with Subclipse and Subversive Eclipse integration plugins).
  • Subversion 1.8 (Since TeamCity 8.1) via Subversive/Subclipse/SvnKit.
  • Perforce (P4WSAD 2008.1 - 2010.1, P4Eclipse 2010.1 - 2012.3)
  • ClearCase (the client software is required)
  • CVS
  • Git (the EGit 0.6 - 3.20 Eclipse integration plugin)
    see also

IntelliJ IDEA Platform

  • ClearCase
  • Git (remote run only)
  • Perforce
  • StarTeam
  • Subversion
  • Visual SourceSafe

Microsoft Visual Studio

  • Subversion 1.4-1.8 (the command-line client is required)
  • Team Foundation Server 2005 and later. Team Foundation Server 2013 is supported since TeamCity 8.1; patch compatible with TeamCity 8.0.5 is also available. Installed Team Explorer is required.
  • Perforce 2008.2 and later (the command-line client is required)

...